ENV(1)

BEZEICHNUNG
env - ein Programm in einer veränderten Umgebung laufen lassen

ÜBERSICHT
env [OPTION]… [-] [NAME=WERT]… [BEFEHL [ARG]…]

BESCHREIBUNG

Jeden NAMEn in der Umgebung auf WERT setzen und BEFEHL ausführen.

Die obligatorischen Argumente für Optionen sind für deren Kurz- und Langform gleich.

-i, --ignore-environment
    Mit einer leeren Umgebung beginnen

-0, --null
    Jede Ausgabezeile mit einem Nullbyte statt des Zeilenumbruchs abschließen

-u, --unset=NAME
    Variable aus der Umgebung entfernen

-C, --chdir=VERZ
    Arbeitsverzeichnis auf VERZ ändern

-S, --split-string=S
    Verarbeitet und trennt S in getrennte Argumente; wird zur Übergabe von mehreren Argumenten auf Sehbang-Zeilen verwandt

-v, --debug
    Zeigt ausführliche Informationen für jeden Verarbeitungsschritt an

--help
    zeigt Hilfeinformationen an und beendet das Programm.

--version
    gibt Versionsinformationen aus und beendet das Programm.

Ein einzelnes »-« impliziert -i. Wenn kein BEFEHL angegeben ist, wird die resultierende Umgebung ausgegeben.

OPTIONEN

  -S/--split-string-Verwendung in Skripten
Die Option -S ermöglicht die Festlegung mehrerer Parameter in einem Skript. Wird ein Skript namens 1.pl mit den folgenden ersten Zeilen

    #!/usr/bin/env -S perl -w -T

ausgeführt, wird perl -w -T 1.pl ausgeführt.

Ohne den Parameter »-S« wird das Skript wahrscheinlich wie folgt fehlschlagen:

    /usr/bin/env: 'perl -w -T': No such file or directory

Siehe die vollständige Dokumentation für weitere Details.

AUTOR
Geschrieben von Richard Mlynarik, David MacKenzie und Assaf Gordon.

FEHLER MELDEN
Onlinehilfe für GNU coreutils: <https://www.gnu.org/software/coreutils/>
Berichten Sie Fehler in der Übersetzung von env an <https://translationproject.org/team/de.html>

COPYRIGHT
Copyright © 2018 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 oder neuer <https://gnu.org/licenses/gpl.html>.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Vollständige Dokumentation unter: <https://www.gnu.org/software/coreutils/env>
oder lokal verfügbar mit: info '(coreutils) env invocation'

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Piefel <piefel@debian.org>, Michael Schmidt <michael@guug.de>, Dr. Tobias Quathamer <toddy@debian.org>, Mario Blättermann <mario.blaettermann@gmail.com> und Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.